<?php
namespace Claromentis\Core\Message;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_f656816961e857" . "3806141c558b184" . "fe2" => base64_decode("c3ViamVj" . "dA=="), "ty" . "pe" => base64_decode("dHl" . "wZQ" . "=="), "_38f12d8b8c" . "719a8ce0fc2" . "faefc225f35" => base64_decode("YXJyY" . "XlfbW" . "Fw"), "_a51236f5e7f12cf84a7761" . "52098d24a9" => base64_decode("dGV4" . "dA=="), "_aaa5c303d" . "68b56e5166" . "4da889c8f7" . "30c" => base64_decode("bGF1bmNo" . "X3VybA=="), "i" . "d" => base64_decode("aWQ" . "="));
use Claromentis\Core\Event\Event;





class SendAllEvent extends Event
{
    protected $message_info;
    protected $recipients_info;
    protected $sender_id;
    public function __construct(array $_bcfb24cb34fc79a85279a34d2eebb7c6, array $_d8d8c85bb480f08e1e1a52f9f29fa747, int $_f3c6503ca6d913adb51076e07b9a7a35)
    {
        $this->message_info = $_bcfb24cb34fc79a85279a34d2eebb7c6;
        $this->recipients_info = $_d8d8c85bb480f08e1e1a52f9f29fa747;
        $this->sender_id = $_f3c6503ca6d913adb51076e07b9a7a35;
    }
    
    
    
    
    public function GetMessageId() : int
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["i" . "d"]];
    }
    
    
    
    
    public function GetMessageType() : int
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["ty" . "pe"]];
    }
    
    
    
    
    public function GetUsersId() : array
    {
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_38f12d8b8c719a8ce0fc2faef" . "c225f35"](function ($_a7d1b57fc9cf298f71cc4c520efc2d09) {
            return $_a7d1b57fc9cf298f71cc4c520efc2d09[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["i" . "d"]];
        }, $this->recipients_info);
    }
    
    
    
    
    public function GetRecipientsInfo() : array
    {
        return $this->recipients_info;
    }
    
    
    
    
    public function SetRecipientsInfo(array $_d8d8c85bb480f08e1e1a52f9f29fa747)
    {
        $this->recipients_info = $_d8d8c85bb480f08e1e1a52f9f29fa747;
    }
    
    
    
    
    public function GetSenderId() : int
    {
        return $this->sender_id;
    }
    
    
    
    
    public function GetMessageText() : string
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a51236f5e7f12cf84a" . "776152098d24a9"]];
    }
    
    
    
    
    public function GetSubject()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f656816961e8" . "573806141c558" . "b184fe2"]];
    }
    
    
    
    
    public function GetLaunchUrl()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_aaa5c303d68b56e516" . "64da889c8f730c"]] ?? null;
    }
}